#include "SimulationSARTool.h"
#include "LAMPMainWidget.h"
#include "RasterMainWidget.h"
#include "ToolBoxWidget.h"
#include "QSimulationSARPolynomialOrbitModel.h"
#include "QSimulationLookTableDialog.h"
#include "QCreateSARIntensityByLookTableDialog.h"
#include "QtSimulationGeoSARSigma0Dialog.h"
#include "QtLinearToIntenisityDialog.h"

SARSimlulationRFPCToolButton::SARSimlulationRFPCToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"RFPC");
}

SARSimlulationRFPCToolButton::~SARSimlulationRFPCToolButton()
{

}


void SARSimlulationRFPCToolButton::excute()
{

	QImageSARRFPC* dialog = new QImageSARRFPC();
	dialog->show();
}

SARSimulationTBPImageToolButton::SARSimulationTBPImageToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"񹤾߿");
	this->toolname = QString(u8"TimeBP");
}

SARSimulationTBPImageToolButton::~SARSimulationTBPImageToolButton()
{
}

void SARSimulationTBPImageToolButton::excute()
{
	QSimulationBPImage* dialog = new QSimulationBPImage;
	dialog->show();
}




QSimulationSAROrbitModelToolButton::QSimulationSAROrbitModelToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"");
}

QSimulationSAROrbitModelToolButton::~QSimulationSAROrbitModelToolButton()
{
}
void QSimulationSAROrbitModelToolButton::excute()
{
	QSimulationPolynomialSAROrbitModel* dialog = new QSimulationPolynomialSAROrbitModel;
	dialog->show();
}



void RegisterPreToolBox(LAMPMainWidget::RasterMainWidget* mainwindows, ToolBoxWidget* toolbox)
{
	emit toolbox->addBoxToolItemSIGNAL(new SARSimlulationRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new SARSimulationTBPImageToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QSimulationSAROrbitModelToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new LookTableComputerClassToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QCreateSARIntensityByLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QtSimulationGeoSARSigma0ToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QtLinearToIntenisityToolButton(toolbox));
 
}

LookTableComputerClassToolButton::LookTableComputerClassToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"ұ");
}

LookTableComputerClassToolButton::~LookTableComputerClassToolButton()
{
}
void LookTableComputerClassToolButton::excute()
{
	QSimulationLookTableDialog* dialog = new QSimulationLookTableDialog;
	dialog->show();
}

QCreateSARIntensityByLookTableToolButton::QCreateSARIntensityByLookTableToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"ģǿͼ");
}

QCreateSARIntensityByLookTableToolButton::~QCreateSARIntensityByLookTableToolButton()
{
}

void QCreateSARIntensityByLookTableToolButton::excute()
{
	QCreateSARIntensityByLookTableDialog* dialog = new QCreateSARIntensityByLookTableDialog;
	dialog->show();
}

QtSimulationGeoSARSigma0ToolButton::QtSimulationGeoSARSigma0ToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"ģǿͼ(ؾ)");
}

QtSimulationGeoSARSigma0ToolButton::~QtSimulationGeoSARSigma0ToolButton()
{
}
void QtSimulationGeoSARSigma0ToolButton::excute()
{
	QtSimulationGeoSARSigma0Dialog* dialog = new QtSimulationGeoSARSigma0Dialog;
	dialog->show();
}

QtLinearToIntenisityToolButton::QtLinearToIntenisityToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"湤߿");
	this->toolname = QString(u8"dBתֵ");
}

QtLinearToIntenisityToolButton::~QtLinearToIntenisityToolButton()
{
}
void QtLinearToIntenisityToolButton::excute()
{
	QtLinearToIntenisityDialog* dialog = new QtLinearToIntenisityDialog;
	dialog->show();
}